---
    
# - name: Update apt cache
#   apt: update_cache=yes
#   become: yes

- name: install necessities and nice-to-haves (RHEL)
  become: yes
  yum:
    name: ['git', 'curl', 'unzip', 'ntp', 'epel-release']
    update_cache: yes
    state: present
  when: ansible_distribution == 'CentOS' or ansible_distribution == 'Red Hat Enterprise Linux'

- name: install python-pip (RHEL)
  become: yes
  yum:
    name: python-pip
    update_cache: yes
    state: present
  when: ansible_distribution == 'CentOS' or ansible_distribution == 'Red Hat Enterprise Linux'


- name: necessities and nice-to-haves (Debian)
  become: yes
  apt:
    name: ['git', 'htop', 'curl', 'unzip', 'ntp', 'python-pip']
    update_cache: yes
    state: present
  when: ansible_distribution == 'Debian' or ansible_distribution == 'Ubuntu'

- name: install setuptools
  pip:
    name: setuptools

- name: install psycopg2
  pip:
    name: psycopg2-binary

- name: Update facts
  action: setup